:root{
    --red: #d86161ff;
    --white: #f4f5edff;
    --black: #363636ff;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}
body{
    background-color: var(--white);
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}
body::-webkit-scrollbar {
   display: none;
}
section{
    padding: 50px 0;
}
h1{
    font-family: "DM Serif Text", "Bebas Neue";
    font-size: 48pt;
    line-height: 1;
    margin: 0;
    letter-spacing: 5pt;
    text-align: center;
    color: var(--red);
}
h2{
    font-family: Barrio;
}
a > p{
    text-align: left;
    position: relative;
    top: 25px;
    padding: 5px 0px;
    font-size: 20pt; 
}
p {
    font-size: 18pt;
    padding: 0 50px;
    margin: auto;
    font-family: "Jetbrains Mono", monospace;
    text-align: justify;
    color: var(--black);
}
a {
    font-family: Noto serif;
    font-size: 16pt;
    text-decoration: none;
    color: var(--black);
}


button {
    appearance: none;
    border-radius: 30px;
    border: 2px solid var(--red);
    box-sizing: border-box;
    color: var(--black);
    cursor: pointer;
    display: inline-block;
    font-family: "Jetbrains Mono";
    font-size: 16px;
    font-weight: 600;
    min-height: 60px;
    min-width: 0;
    outline: none;
    padding: 16px 24px;
    text-align: center;
    transition: all 300ms cubic-bezier(.23, 1, 0.32, 1);
    margin: 10px;
    background-color: var(--white)
}
button:disabled {
    pointer-events: none;
}
button:hover {
    box-shadow: rgba(0, 0, 0, 0.25) 0 8px 15px;
    transform: translateY(-2px);
    border: 2px solid var(--black);
}
button:active {
    box-shadow: none;
    transform: translateY(0);
}
button.selected{
    
    background-color: var(--black);
    color: white;
}

.nav-bar{
    width: 100vw;
    height: 57px;
    list-style-type: none;
    & ul{
        list-style-type: none;
        margin: 0;
        padding: 0;
        overflow: hidden;
        background-color: var(--black);
    }
    & a:hover{
        background-color: var(--white);
        transition-property: background-color;
        transition-duration: 0.5s;
        color: var(--black);
    }
    & a{
        display: block;
        color: var(--white);
        text-align: center;
        padding: 14px 16px;
        text-decoration: none;
        font-family: "Jetbrains Mono", monospace;
    }
}

#landing{
    background: url('../images/firstImg.jpg') center/cover no-repeat;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--white);
    font-size: 2rem;
    transition: all 250ms cubic-bezier(.23, 1, 0.32, 1);
    margin-right: 0;
    & .container{
        width: 100vw;
    }
    & img{
        width: 90%; 
        padding: 0;
    }
    & span{
        font-family: "DM Serif Text", monospace;
        font-size: 28pt;
        padding: 0;
        margin: 0;
        color: var(--white);
    }
    & .text-1 {
        font-family: "DM Serif Text", monospace;
        display: block;
        width: 500px;
        font-size: 17pt; 
        text-align: center; 
        position: relative; 
        right: 20px;
    }
    & .text-2 {
        text-align: left;
        display: block;
        font-family: "Bebas Neue";
        padding: 0;
        margin: 0;
        color: var(--black);
        font-size: 93pt; 
        position: relative; 
        bottom: 1px;
        left: -51px; 
        rotate: -7deg
    }.text-3 {
        font-family: "DM Serif Text", monospace;
        text-align: left;
        display: block;
        width: 500px;
        font-size: 23pt; 
        position: relative; 
        top: -4px; 
        left : 37px;
    }
}

.content {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    & section {
      max-width: 100ch;
      padding: 30px auto;
      line-height: 1.75;
      font-size: 1.25em;
    }
}

.split-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    width: 100%;
    gap: 25px;
    & .left-content {
        display: flex;
        flex-wrap: wrap;
        gap: 10px; /* Adds spacing between images */
        text-align: right;
        max-width: 40%;
    }
    & .right-content {
        display: flex;
        flex-wrap: wrap;
        gap: 10px; /* Adds spacing between images */
        max-width: 60%;
    }
}

/* styling for containers */
.container {
  position: relative;
  text-align: center;
  color: var(--white);
}
.center-left{
  position: absolute;
  top: 87%;
  transform: translate(0%, -50%);
}
.bottom-left {
  position: absolute;
  bottom: 8px;
  left: 16px;
}
.top-left {
  position: absolute;
  top: 8px;
  left: 16px;
}
.top-right {
  position: absolute;
  top: 8px;
  right: 16px;
}
.bottom-right {
  position: absolute;
  bottom: 8px;
  right: 16px;
}
.centered {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.sectionTitle{
    padding: 0;
    font-family: "Bebas Neue";
    font-size: 48pt;
    margin-bottom: 40px;
    text-align: center;
    text-indent: 0;
    color: var(--black);
}

#portfolio{
    background: var(--red);
    width: 100%;
    max-width: 100vw;
    margin : 0 200px;;
    & .sectionTitle hr{
        border-color: var(--white);
        max-width: 100ch;
    }
    & #filter-buttons{
        display: flex;
        justify-content: center;
        margin-bottom: 34px;
    }
    & #icon-grid{
        transition: all 300ms cubic-bezier(.23, 1, 0.32, 1);
        display: -ms-grid;
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(314px, 1fr));
        grid-gap: 1.5rem;
        justify-items: center;
        margin: auto;
        padding: 0;
        max-width: 100ch;
    }
    & .container{
        box-shadow: inset 0 0 0 0.01px var(--white);
        color: rgba(0,0,0,0);
        font-family: "DM Serif Text";
        font-size: 24pt;
        display: inline-block;
        width: 325px;
        height: 325px;
        position: relative;
        background-color: var(--white);
        border-radius: 20px;
        border-width: 100px;
        border-color: var(--black);
        padding: 10px;
        background-clip: padding-box;
        transition: all 300ms cubic-bezier(.23, 1, 0.32, 1);
    }
    & .container:hover{
        box-shadow: rgba(0, 0, 0, 0.25) 0 8px 15px;
        transform: translateY(-2px);
    }
    & .container:hover .portfolio-icon-text{
        display: block;
        color: var(--black);
        transition: all 300ms cubic-bezier(.23, 1, 0.32, 1);
        font-size: 30pt;
        padding: 0;
        margin: 0;
        line-height: 25pt;
    }
    & .container:hover .bg-image{
        filter:opacity(0%);
        -webkit-filter: opacity(0%);
    }
    & .container .portfolio-icon-text{
        font-family: "DM Serif Text";
        color: rgba(0,0,0,0);
        font-size: 25pt;
    }
    & .container .bg-image{
        height: 100%;
        transition: all ease 0.2s;
        border-radius: 20px;
    }
    & .skill{
        position: relative;
        display: inline;
        top: -74px;
        font-size: 16px;
        font-weight: bold;
        color: var(--black);
        opacity: 0;
        transition: all 300ms cubic-bezier(.23, 1, 0.32, 1);
    }
    & .container:hover .skill{
        opacity: 1;
        padding: 10px;
    }
    & .container:hover .skill-1{
        rotate: 13deg;
    }
    & .container:hover .skill-2{
        rotate: -9deg;
    }
    & .container:hover .skill-3{
        rotate: 8deg;
    }
}


footer{
    background-color: var(--black);
    border-style: solid;
    border-color: var(--white);
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 75px 0 0 0;
    width: 100%;
    & .footer-left {
        display:flex;
    }
    & .footer-right {
        position: relative;
        right: 150px;
    }
    & .home {
        display: flex;
        padding: 0 0 0 39px ;
        & p {
            position: relative;
            color: var(--black);
            font-family: 'Barrio';
            top: 5px;
            right: 33px;
            font-size: 34pt;
            margin-right: 35px;
        }
        & img {
            width: 20vw;
            position: relative;
            top: -45px;
            margin-right: 40px;
            background-color: var(--black)
        }  
    } 
    & .footer-icon > img {
        gap: 10px; /* Adds spacing between images */
        width: 50px;
        height: 50px;
        margin: 45px 0 0 10px;
    }
    & p {
        color: var(--white);
    }
}